"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnknownUI = void 0;

class UnknownUI extends Error {
  constructor(uiRoot, available) {
    super();
    this.uiRoot = uiRoot;
    this.available = available;
  }

  toString() {
    var _this$available;

    return `Unknown UI root: "${this.uiRoot}". Available ui roots are: [${(_this$available = this.available) === null || _this$available === void 0 ? void 0 : _this$available.join(', ')}]`;
  }

}

exports.UnknownUI = UnknownUI;

//# sourceMappingURL=/home/circleci/Library/Caches/Bit/capsules/8891be5ad3d35bfc38b9cd90c0e05b598a5a55af/teambit.ui-foundation_ui@0.0.392/exceptions/unknown-ui.js.map