"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = html;

function html(title, withDevTools) {
  return () => `
  <!DOCTYPE html>
  <html lang="en">
    <head>
      <meta charset="utf-8">
      <title>${title}</title>
      <script>
      // Allow to use react dev-tools inside the examples
      ${withDevTools ? '' : 'try { window.__REACT_DEVTOOLS_GLOBAL_HOOK__ = window.parent.__REACT_DEVTOOLS_GLOBAL_HOOK__; } catch {}'}
      </script>
    </head>
    <body>
      <div id="root"></div>
    </body>
  </html>  
  `;
}

//# sourceMappingURL=/home/circleci/Library/Caches/Bit/capsules/8891be5ad3d35bfc38b9cd90c0e05b598a5a55af/teambit.ui-foundation_ui@0.0.392/webpack/html.js.map